Package tigase.xmpp.impl

# Enum Class SaslAuth2.ElementType

java.lang.Object
java.lang.Enum<SaslAuth2.ElementType>
tigase.xmpp.impl.SaslAuth2.ElementType

All Implemented Interfaces:
  `Serializable`, `Comparable<SaslAuth2.ElementType>`, `Constable`

Enclosing class:
  SaslAuth2

public static enum SaslAuth2.ElementType extends Enum<SaslAuth2.ElementType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABORT`
  `AUTHENTICATE`
  `CHALLENGE`
  `CONTINUE`
  `DATA`
  `FAILURE`
  `HASH`
  `NEXT`
  `PARAMETERS`
  `RESPONSE`
  `SUCCESS`
  `UPGRADE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getElementName()`
  `static SaslAuth2.ElementType`
  `parse(String name)`
  `static SaslAuth2.ElementType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SaslAuth2.ElementType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ABORT

    public static final SaslAuth2.ElementType ABORT

  - ### AUTHENTICATE

    public static final SaslAuth2.ElementType AUTHENTICATE

  - ### CHALLENGE

    public static final SaslAuth2.ElementType CHALLENGE

  - ### FAILURE

    public static final SaslAuth2.ElementType FAILURE

  - ### RESPONSE

    public static final SaslAuth2.ElementType RESPONSE

  - ### SUCCESS

    public static final SaslAuth2.ElementType SUCCESS

  - ### CONTINUE

    public static final SaslAuth2.ElementType CONTINUE

  - ### NEXT

    public static final SaslAuth2.ElementType NEXT

  - ### DATA

    public static final SaslAuth2.ElementType DATA

  - ### UPGRADE

    public static final SaslAuth2.ElementType UPGRADE

  - ### PARAMETERS

    public static final SaslAuth2.ElementType PARAMETERS

  - ### HASH

    public static final SaslAuth2.ElementType HASH

- ## Method Details

  - ### values

    public static SaslAuth2.ElementType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SaslAuth2.ElementType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### parse

    public static SaslAuth2.ElementType parse(String name)

  - ### getElementName

    public String getElementName()